Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.2.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
76.2.0.0
Broadcast address
76.3.255.255
First usable
76.2.0.1
Last usable
76.3.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C020000 · Integer 1275199488 to 1275330559
Reverse DNS zones
2.76.in-addr.arpa
3.76.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000010.00000000.0000000076.2.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01001100.00000010.00000000.0000000076.2.0.0
Broadcast01001100.00000011.11111111.1111111176.3.255.255
Split into smaller subnets/26

76.2.0.0/15 makes 2,048 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.2.0.0/2676.2.0.1 to 76.2.0.6276.2.0.6362
276.2.0.64/2676.2.0.65 to 76.2.0.12676.2.0.12762
376.2.0.128/2676.2.0.129 to 76.2.0.19076.2.0.19162
476.2.0.192/2676.2.0.193 to 76.2.0.25476.2.0.25562
576.2.1.0/2676.2.1.1 to 76.2.1.6276.2.1.6362
676.2.1.64/2676.2.1.65 to 76.2.1.12676.2.1.12762
776.2.1.128/2676.2.1.129 to 76.2.1.19076.2.1.19162
876.2.1.192/2676.2.1.193 to 76.2.1.25476.2.1.25562
976.2.2.0/2676.2.2.1 to 76.2.2.6276.2.2.6362
1076.2.2.64/2676.2.2.65 to 76.2.2.12676.2.2.12762
1176.2.2.128/2676.2.2.129 to 76.2.2.19076.2.2.19162
1276.2.2.192/2676.2.2.193 to 76.2.2.25476.2.2.25562
1376.2.3.0/2676.2.3.1 to 76.2.3.6276.2.3.6362
1476.2.3.64/2676.2.3.65 to 76.2.3.12676.2.3.12762
1576.2.3.128/2676.2.3.129 to 76.2.3.19076.2.3.19162
1676.2.3.192/2676.2.3.193 to 76.2.3.25476.2.3.25562
1776.2.4.0/2676.2.4.1 to 76.2.4.6276.2.4.6362
1876.2.4.64/2676.2.4.65 to 76.2.4.12676.2.4.12762
1976.2.4.128/2676.2.4.129 to 76.2.4.19076.2.4.19162
2076.2.4.192/2676.2.4.193 to 76.2.4.25476.2.4.25562
2176.2.5.0/2676.2.5.1 to 76.2.5.6276.2.5.6362
2276.2.5.64/2676.2.5.65 to 76.2.5.12676.2.5.12762
2376.2.5.128/2676.2.5.129 to 76.2.5.19076.2.5.19162
2476.2.5.192/2676.2.5.193 to 76.2.5.25476.2.5.25562
2576.2.6.0/2676.2.6.1 to 76.2.6.6276.2.6.6362
2676.2.6.64/2676.2.6.65 to 76.2.6.12676.2.6.12762
2776.2.6.128/2676.2.6.129 to 76.2.6.19076.2.6.19162
2876.2.6.192/2676.2.6.193 to 76.2.6.25476.2.6.25562
2976.2.7.0/2676.2.7.1 to 76.2.7.6276.2.7.6362
3076.2.7.64/2676.2.7.65 to 76.2.7.12676.2.7.12762
3176.2.7.128/2676.2.7.129 to 76.2.7.19076.2.7.19162
3276.2.7.192/2676.2.7.193 to 76.2.7.25476.2.7.25562
3376.2.8.0/2676.2.8.1 to 76.2.8.6276.2.8.6362
3476.2.8.64/2676.2.8.65 to 76.2.8.12676.2.8.12762
3576.2.8.128/2676.2.8.129 to 76.2.8.19076.2.8.19162
3676.2.8.192/2676.2.8.193 to 76.2.8.25476.2.8.25562
3776.2.9.0/2676.2.9.1 to 76.2.9.6276.2.9.6362
3876.2.9.64/2676.2.9.65 to 76.2.9.12676.2.9.12762
3976.2.9.128/2676.2.9.129 to 76.2.9.19076.2.9.19162
4076.2.9.192/2676.2.9.193 to 76.2.9.25476.2.9.25562
4176.2.10.0/2676.2.10.1 to 76.2.10.6276.2.10.6362
4276.2.10.64/2676.2.10.65 to 76.2.10.12676.2.10.12762
4376.2.10.128/2676.2.10.129 to 76.2.10.19076.2.10.19162
4476.2.10.192/2676.2.10.193 to 76.2.10.25476.2.10.25562
4576.2.11.0/2676.2.11.1 to 76.2.11.6276.2.11.6362
4676.2.11.64/2676.2.11.65 to 76.2.11.12676.2.11.12762
4776.2.11.128/2676.2.11.129 to 76.2.11.19076.2.11.19162
4876.2.11.192/2676.2.11.193 to 76.2.11.25476.2.11.25562
4976.2.12.0/2676.2.12.1 to 76.2.12.6276.2.12.6362
5076.2.12.64/2676.2.12.65 to 76.2.12.12676.2.12.12762
5176.2.12.128/2676.2.12.129 to 76.2.12.19076.2.12.19162
5276.2.12.192/2676.2.12.193 to 76.2.12.25476.2.12.25562
5376.2.13.0/2676.2.13.1 to 76.2.13.6276.2.13.6362
5476.2.13.64/2676.2.13.65 to 76.2.13.12676.2.13.12762
5576.2.13.128/2676.2.13.129 to 76.2.13.19076.2.13.19162
5676.2.13.192/2676.2.13.193 to 76.2.13.25476.2.13.25562
5776.2.14.0/2676.2.14.1 to 76.2.14.6276.2.14.6362
5876.2.14.64/2676.2.14.65 to 76.2.14.12676.2.14.12762
5976.2.14.128/2676.2.14.129 to 76.2.14.19076.2.14.19162
6076.2.14.192/2676.2.14.193 to 76.2.14.25476.2.14.25562
6176.2.15.0/2676.2.15.1 to 76.2.15.6276.2.15.6362
6276.2.15.64/2676.2.15.65 to 76.2.15.12676.2.15.12762
6376.2.15.128/2676.2.15.129 to 76.2.15.19076.2.15.19162
6476.2.15.192/2676.2.15.193 to 76.2.15.25476.2.15.25562
6576.2.16.0/2676.2.16.1 to 76.2.16.6276.2.16.6362
6676.2.16.64/2676.2.16.65 to 76.2.16.12676.2.16.12762
6776.2.16.128/2676.2.16.129 to 76.2.16.19076.2.16.19162
6876.2.16.192/2676.2.16.193 to 76.2.16.25476.2.16.25562
6976.2.17.0/2676.2.17.1 to 76.2.17.6276.2.17.6362
7076.2.17.64/2676.2.17.65 to 76.2.17.12676.2.17.12762
7176.2.17.128/2676.2.17.129 to 76.2.17.19076.2.17.19162
7276.2.17.192/2676.2.17.193 to 76.2.17.25476.2.17.25562
7376.2.18.0/2676.2.18.1 to 76.2.18.6276.2.18.6362
7476.2.18.64/2676.2.18.65 to 76.2.18.12676.2.18.12762
7576.2.18.128/2676.2.18.129 to 76.2.18.19076.2.18.19162
7676.2.18.192/2676.2.18.193 to 76.2.18.25476.2.18.25562
7776.2.19.0/2676.2.19.1 to 76.2.19.6276.2.19.6362
7876.2.19.64/2676.2.19.65 to 76.2.19.12676.2.19.12762
7976.2.19.128/2676.2.19.129 to 76.2.19.19076.2.19.19162
8076.2.19.192/2676.2.19.193 to 76.2.19.25476.2.19.25562
8176.2.20.0/2676.2.20.1 to 76.2.20.6276.2.20.6362
8276.2.20.64/2676.2.20.65 to 76.2.20.12676.2.20.12762
8376.2.20.128/2676.2.20.129 to 76.2.20.19076.2.20.19162
8476.2.20.192/2676.2.20.193 to 76.2.20.25476.2.20.25562
8576.2.21.0/2676.2.21.1 to 76.2.21.6276.2.21.6362
8676.2.21.64/2676.2.21.65 to 76.2.21.12676.2.21.12762
8776.2.21.128/2676.2.21.129 to 76.2.21.19076.2.21.19162
8876.2.21.192/2676.2.21.193 to 76.2.21.25476.2.21.25562
8976.2.22.0/2676.2.22.1 to 76.2.22.6276.2.22.6362
9076.2.22.64/2676.2.22.65 to 76.2.22.12676.2.22.12762
9176.2.22.128/2676.2.22.129 to 76.2.22.19076.2.22.19162
9276.2.22.192/2676.2.22.193 to 76.2.22.25476.2.22.25562
9376.2.23.0/2676.2.23.1 to 76.2.23.6276.2.23.6362
9476.2.23.64/2676.2.23.65 to 76.2.23.12676.2.23.12762
9576.2.23.128/2676.2.23.129 to 76.2.23.19076.2.23.19162
9676.2.23.192/2676.2.23.193 to 76.2.23.25476.2.23.25562
9776.2.24.0/2676.2.24.1 to 76.2.24.6276.2.24.6362
9876.2.24.64/2676.2.24.65 to 76.2.24.12676.2.24.12762
9976.2.24.128/2676.2.24.129 to 76.2.24.19076.2.24.19162
10076.2.24.192/2676.2.24.193 to 76.2.24.25476.2.24.25562
10176.2.25.0/2676.2.25.1 to 76.2.25.6276.2.25.6362
10276.2.25.64/2676.2.25.65 to 76.2.25.12676.2.25.12762
10376.2.25.128/2676.2.25.129 to 76.2.25.19076.2.25.19162
10476.2.25.192/2676.2.25.193 to 76.2.25.25476.2.25.25562
10576.2.26.0/2676.2.26.1 to 76.2.26.6276.2.26.6362
10676.2.26.64/2676.2.26.65 to 76.2.26.12676.2.26.12762
10776.2.26.128/2676.2.26.129 to 76.2.26.19076.2.26.19162
10876.2.26.192/2676.2.26.193 to 76.2.26.25476.2.26.25562
10976.2.27.0/2676.2.27.1 to 76.2.27.6276.2.27.6362
11076.2.27.64/2676.2.27.65 to 76.2.27.12676.2.27.12762
11176.2.27.128/2676.2.27.129 to 76.2.27.19076.2.27.19162
11276.2.27.192/2676.2.27.193 to 76.2.27.25476.2.27.25562
11376.2.28.0/2676.2.28.1 to 76.2.28.6276.2.28.6362
11476.2.28.64/2676.2.28.65 to 76.2.28.12676.2.28.12762
11576.2.28.128/2676.2.28.129 to 76.2.28.19076.2.28.19162
11676.2.28.192/2676.2.28.193 to 76.2.28.25476.2.28.25562
11776.2.29.0/2676.2.29.1 to 76.2.29.6276.2.29.6362
11876.2.29.64/2676.2.29.65 to 76.2.29.12676.2.29.12762
11976.2.29.128/2676.2.29.129 to 76.2.29.19076.2.29.19162
12076.2.29.192/2676.2.29.193 to 76.2.29.25476.2.29.25562
12176.2.30.0/2676.2.30.1 to 76.2.30.6276.2.30.6362
12276.2.30.64/2676.2.30.65 to 76.2.30.12676.2.30.12762
12376.2.30.128/2676.2.30.129 to 76.2.30.19076.2.30.19162
12476.2.30.192/2676.2.30.193 to 76.2.30.25476.2.30.25562
12576.2.31.0/2676.2.31.1 to 76.2.31.6276.2.31.6362
12676.2.31.64/2676.2.31.65 to 76.2.31.12676.2.31.12762
12776.2.31.128/2676.2.31.129 to 76.2.31.19076.2.31.19162
12876.2.31.192/2676.2.31.193 to 76.2.31.25476.2.31.25562
12976.2.32.0/2676.2.32.1 to 76.2.32.6276.2.32.6362
13076.2.32.64/2676.2.32.65 to 76.2.32.12676.2.32.12762
13176.2.32.128/2676.2.32.129 to 76.2.32.19076.2.32.19162
13276.2.32.192/2676.2.32.193 to 76.2.32.25476.2.32.25562
13376.2.33.0/2676.2.33.1 to 76.2.33.6276.2.33.6362
13476.2.33.64/2676.2.33.65 to 76.2.33.12676.2.33.12762
13576.2.33.128/2676.2.33.129 to 76.2.33.19076.2.33.19162
13676.2.33.192/2676.2.33.193 to 76.2.33.25476.2.33.25562
13776.2.34.0/2676.2.34.1 to 76.2.34.6276.2.34.6362
13876.2.34.64/2676.2.34.65 to 76.2.34.12676.2.34.12762
13976.2.34.128/2676.2.34.129 to 76.2.34.19076.2.34.19162
14076.2.34.192/2676.2.34.193 to 76.2.34.25476.2.34.25562
14176.2.35.0/2676.2.35.1 to 76.2.35.6276.2.35.6362
14276.2.35.64/2676.2.35.65 to 76.2.35.12676.2.35.12762
14376.2.35.128/2676.2.35.129 to 76.2.35.19076.2.35.19162
14476.2.35.192/2676.2.35.193 to 76.2.35.25476.2.35.25562
14576.2.36.0/2676.2.36.1 to 76.2.36.6276.2.36.6362
14676.2.36.64/2676.2.36.65 to 76.2.36.12676.2.36.12762
14776.2.36.128/2676.2.36.129 to 76.2.36.19076.2.36.19162
14876.2.36.192/2676.2.36.193 to 76.2.36.25476.2.36.25562
14976.2.37.0/2676.2.37.1 to 76.2.37.6276.2.37.6362
15076.2.37.64/2676.2.37.65 to 76.2.37.12676.2.37.12762
15176.2.37.128/2676.2.37.129 to 76.2.37.19076.2.37.19162
15276.2.37.192/2676.2.37.193 to 76.2.37.25476.2.37.25562
15376.2.38.0/2676.2.38.1 to 76.2.38.6276.2.38.6362
15476.2.38.64/2676.2.38.65 to 76.2.38.12676.2.38.12762
15576.2.38.128/2676.2.38.129 to 76.2.38.19076.2.38.19162
15676.2.38.192/2676.2.38.193 to 76.2.38.25476.2.38.25562
15776.2.39.0/2676.2.39.1 to 76.2.39.6276.2.39.6362
15876.2.39.64/2676.2.39.65 to 76.2.39.12676.2.39.12762
15976.2.39.128/2676.2.39.129 to 76.2.39.19076.2.39.19162
16076.2.39.192/2676.2.39.193 to 76.2.39.25476.2.39.25562
16176.2.40.0/2676.2.40.1 to 76.2.40.6276.2.40.6362
16276.2.40.64/2676.2.40.65 to 76.2.40.12676.2.40.12762
16376.2.40.128/2676.2.40.129 to 76.2.40.19076.2.40.19162
16476.2.40.192/2676.2.40.193 to 76.2.40.25476.2.40.25562
16576.2.41.0/2676.2.41.1 to 76.2.41.6276.2.41.6362
16676.2.41.64/2676.2.41.65 to 76.2.41.12676.2.41.12762
16776.2.41.128/2676.2.41.129 to 76.2.41.19076.2.41.19162
16876.2.41.192/2676.2.41.193 to 76.2.41.25476.2.41.25562
16976.2.42.0/2676.2.42.1 to 76.2.42.6276.2.42.6362
17076.2.42.64/2676.2.42.65 to 76.2.42.12676.2.42.12762
17176.2.42.128/2676.2.42.129 to 76.2.42.19076.2.42.19162
17276.2.42.192/2676.2.42.193 to 76.2.42.25476.2.42.25562
17376.2.43.0/2676.2.43.1 to 76.2.43.6276.2.43.6362
17476.2.43.64/2676.2.43.65 to 76.2.43.12676.2.43.12762
17576.2.43.128/2676.2.43.129 to 76.2.43.19076.2.43.19162
17676.2.43.192/2676.2.43.193 to 76.2.43.25476.2.43.25562
17776.2.44.0/2676.2.44.1 to 76.2.44.6276.2.44.6362
17876.2.44.64/2676.2.44.65 to 76.2.44.12676.2.44.12762
17976.2.44.128/2676.2.44.129 to 76.2.44.19076.2.44.19162
18076.2.44.192/2676.2.44.193 to 76.2.44.25476.2.44.25562
18176.2.45.0/2676.2.45.1 to 76.2.45.6276.2.45.6362
18276.2.45.64/2676.2.45.65 to 76.2.45.12676.2.45.12762
18376.2.45.128/2676.2.45.129 to 76.2.45.19076.2.45.19162
18476.2.45.192/2676.2.45.193 to 76.2.45.25476.2.45.25562
18576.2.46.0/2676.2.46.1 to 76.2.46.6276.2.46.6362
18676.2.46.64/2676.2.46.65 to 76.2.46.12676.2.46.12762
18776.2.46.128/2676.2.46.129 to 76.2.46.19076.2.46.19162
18876.2.46.192/2676.2.46.193 to 76.2.46.25476.2.46.25562
18976.2.47.0/2676.2.47.1 to 76.2.47.6276.2.47.6362
19076.2.47.64/2676.2.47.65 to 76.2.47.12676.2.47.12762
19176.2.47.128/2676.2.47.129 to 76.2.47.19076.2.47.19162
19276.2.47.192/2676.2.47.193 to 76.2.47.25476.2.47.25562
19376.2.48.0/2676.2.48.1 to 76.2.48.6276.2.48.6362
19476.2.48.64/2676.2.48.65 to 76.2.48.12676.2.48.12762
19576.2.48.128/2676.2.48.129 to 76.2.48.19076.2.48.19162
19676.2.48.192/2676.2.48.193 to 76.2.48.25476.2.48.25562
19776.2.49.0/2676.2.49.1 to 76.2.49.6276.2.49.6362
19876.2.49.64/2676.2.49.65 to 76.2.49.12676.2.49.12762
19976.2.49.128/2676.2.49.129 to 76.2.49.19076.2.49.19162
20076.2.49.192/2676.2.49.193 to 76.2.49.25476.2.49.25562
20176.2.50.0/2676.2.50.1 to 76.2.50.6276.2.50.6362
20276.2.50.64/2676.2.50.65 to 76.2.50.12676.2.50.12762
20376.2.50.128/2676.2.50.129 to 76.2.50.19076.2.50.19162
20476.2.50.192/2676.2.50.193 to 76.2.50.25476.2.50.25562
20576.2.51.0/2676.2.51.1 to 76.2.51.6276.2.51.6362
20676.2.51.64/2676.2.51.65 to 76.2.51.12676.2.51.12762
20776.2.51.128/2676.2.51.129 to 76.2.51.19076.2.51.19162
20876.2.51.192/2676.2.51.193 to 76.2.51.25476.2.51.25562
20976.2.52.0/2676.2.52.1 to 76.2.52.6276.2.52.6362
21076.2.52.64/2676.2.52.65 to 76.2.52.12676.2.52.12762
21176.2.52.128/2676.2.52.129 to 76.2.52.19076.2.52.19162
21276.2.52.192/2676.2.52.193 to 76.2.52.25476.2.52.25562
21376.2.53.0/2676.2.53.1 to 76.2.53.6276.2.53.6362
21476.2.53.64/2676.2.53.65 to 76.2.53.12676.2.53.12762
21576.2.53.128/2676.2.53.129 to 76.2.53.19076.2.53.19162
21676.2.53.192/2676.2.53.193 to 76.2.53.25476.2.53.25562
21776.2.54.0/2676.2.54.1 to 76.2.54.6276.2.54.6362
21876.2.54.64/2676.2.54.65 to 76.2.54.12676.2.54.12762
21976.2.54.128/2676.2.54.129 to 76.2.54.19076.2.54.19162
22076.2.54.192/2676.2.54.193 to 76.2.54.25476.2.54.25562
22176.2.55.0/2676.2.55.1 to 76.2.55.6276.2.55.6362
22276.2.55.64/2676.2.55.65 to 76.2.55.12676.2.55.12762
22376.2.55.128/2676.2.55.129 to 76.2.55.19076.2.55.19162
22476.2.55.192/2676.2.55.193 to 76.2.55.25476.2.55.25562
22576.2.56.0/2676.2.56.1 to 76.2.56.6276.2.56.6362
22676.2.56.64/2676.2.56.65 to 76.2.56.12676.2.56.12762
22776.2.56.128/2676.2.56.129 to 76.2.56.19076.2.56.19162
22876.2.56.192/2676.2.56.193 to 76.2.56.25476.2.56.25562
22976.2.57.0/2676.2.57.1 to 76.2.57.6276.2.57.6362
23076.2.57.64/2676.2.57.65 to 76.2.57.12676.2.57.12762
23176.2.57.128/2676.2.57.129 to 76.2.57.19076.2.57.19162
23276.2.57.192/2676.2.57.193 to 76.2.57.25476.2.57.25562
23376.2.58.0/2676.2.58.1 to 76.2.58.6276.2.58.6362
23476.2.58.64/2676.2.58.65 to 76.2.58.12676.2.58.12762
23576.2.58.128/2676.2.58.129 to 76.2.58.19076.2.58.19162
23676.2.58.192/2676.2.58.193 to 76.2.58.25476.2.58.25562
23776.2.59.0/2676.2.59.1 to 76.2.59.6276.2.59.6362
23876.2.59.64/2676.2.59.65 to 76.2.59.12676.2.59.12762
23976.2.59.128/2676.2.59.129 to 76.2.59.19076.2.59.19162
24076.2.59.192/2676.2.59.193 to 76.2.59.25476.2.59.25562
24176.2.60.0/2676.2.60.1 to 76.2.60.6276.2.60.6362
24276.2.60.64/2676.2.60.65 to 76.2.60.12676.2.60.12762
24376.2.60.128/2676.2.60.129 to 76.2.60.19076.2.60.19162
24476.2.60.192/2676.2.60.193 to 76.2.60.25476.2.60.25562
24576.2.61.0/2676.2.61.1 to 76.2.61.6276.2.61.6362
24676.2.61.64/2676.2.61.65 to 76.2.61.12676.2.61.12762
24776.2.61.128/2676.2.61.129 to 76.2.61.19076.2.61.19162
24876.2.61.192/2676.2.61.193 to 76.2.61.25476.2.61.25562
24976.2.62.0/2676.2.62.1 to 76.2.62.6276.2.62.6362
25076.2.62.64/2676.2.62.65 to 76.2.62.12676.2.62.12762
25176.2.62.128/2676.2.62.129 to 76.2.62.19076.2.62.19162
25276.2.62.192/2676.2.62.193 to 76.2.62.25476.2.62.25562
25376.2.63.0/2676.2.63.1 to 76.2.63.6276.2.63.6362
25476.2.63.64/2676.2.63.65 to 76.2.63.12676.2.63.12762
25576.2.63.128/2676.2.63.129 to 76.2.63.19076.2.63.19162
25676.2.63.192/2676.2.63.193 to 76.2.63.25476.2.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses